Hi, I have a small autolisp program to replace a line by an arc. I first get p1 and p2 as the start and end points of the line. So far so good. Then I calculate the 3rd arc point as an offset of the mid-point of the line. I draw a small the arc directly, I get a message "Invalid point" (autocad thinks the three points are on the same line!) but I first "use" the mid-point, as with ins3 below, then the arc drawned is correct. [...] (progn ; draw the arc (setq p_ins (cal "plt(p1,p2,0.5)") p_norm (cal "p_ins + nor(p1,p_ins)*c_interf/-2") ) (setq ins3 (list '(0 . "LINE")(cons 8 "DIM")(cons 10 p_norm) (cons 11 p_ins) ) ) (entmake ins3) (command "ARC" p1 p_norm p2) ) ; delete the line (entdel ent) [...] Why do I have to draw ins3? Why it doesnt not work if I comment the lines "(setq ins3 ..." and "(entmake ins3 ..."? Thanks for your insight Yves